Send a single text message

Request

POST https://wa.antgst.com/v1/whatsapp/messages/send

Content-Type

circle-info

application/json

Header Parameters

Authorization

Bearer token for API authentication. This should be a valid access token obtained through the appropriate OAuth flow or system user token.

Request Body

Field

Type

Required(*)

Description

to

String

true

The recipient's phone number

from

String

true

The sender's phone number

type

String

true

WhatsApp outbound message type. Currently only the template type is supported. template

template.name

String

true

Template name.

template.parameters

String

true

Variable parameters sent by the template.

template.language

String

true

Template language code. See also Whatsapp Template Supported-Languages

Request Example:

curl --location --request POST 'https://wa.antgst.com/v1/whatsapp/messages/send' \
--header 'Authorization: Bearer ...' \
--header 'Content-Type: application/json' \
--data-raw '{
    "to": "5286610707632",
    "from": "15461497830",
    "type": "template",
    "template": {
        "name": "template_authentication_20275068551827",
        "parameters":"123456",
        "language": "en"
    }
}'

Response Example:

Response parameter description:

Field

Description

smsId

Message ID.

status

Message status.

code

Message commit return status code.

msg

Error message for failed commit.

Last updated